org.apache.avro.mapred.tether

## Interface OutputProtocol.Callback

- All Superinterfaces:
    OutputProtocol
  Enclosing interface:
    OutputProtocol

      public static interface OutputProtocol.Callback
      extends OutputProtocol

  Transmit outputs from a map or reduce task to parent.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.avro.mapred.tether.OutputProtocol

      `OutputProtocol.Callback`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Protocol` | `PROTOCOL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.avro.mapred.tether.OutputProtocol

      `complete, configure, count, fail, output, outputPartitioned, status`

- - ### Field Detail

    - #### PROTOCOL

          static final Protocol PROTOCOL

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.